Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class PropertyHelperTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.PropertyHelperTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class PropertyHelperTask

extends Task

This task is designed to allow the user to install a different PropertyHelper on the current Project. This task also allows the installation of PropertyHelper delegates on either the newly installed or existing PropertyHelper.

Since:
  Ant 1.8

Nested Class Summary
`class` | `PropertyHelperTask.DelegateElement` Nested delegate for refid usage.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`PropertyHelperTask()`

Method Summary
`void` | `addConfigured(PropertyHelper.Delegate delegate)` Add a PropertyHelper delegate to the existing or new PropertyHelper.
`void` | `addConfigured(PropertyHelper propertyHelper)` Add a new PropertyHelper to be set on the Project.
`PropertyHelperTask.DelegateElement` | `createDelegate()` Add a nested <delegate refid="foo" /> element.
`void` | `execute()` Execute the task.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyHelperTask

    public PropertyHelperTask()

Method Detail

### addConfigured

    public void addConfigured(PropertyHelper propertyHelper)

  Add a new PropertyHelper to be set on the Project.

  Parameters:
    `propertyHelper` - the PropertyHelper to set.

### addConfigured

    public void addConfigured(PropertyHelper.Delegate delegate)

  Add a PropertyHelper delegate to the existing or new PropertyHelper.

  Parameters:
    `delegate` - the delegate to add.

### createDelegate

    public PropertyHelperTask.DelegateElement createDelegate()

  Add a nested <delegate refid="foo" /> element.

  Returns:
    DelegateElement

### execute

    public void execute()
                 throws BuildException

  Execute the task.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - on error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD